Bug 1574797 - [abrt] cone: std::__replacement_assert(): cone killed by SIGABRT
Summary: [abrt] cone: std::__replacement_assert(): cone killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cone
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e8664f31523c01a00dcd0613db3...
: 1582843 1763534 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 04:42 UTC by Stephen Haffly
Modified: 2019-11-27 23:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:34:46 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (35.00 KB, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: core_backtrace (3.81 KB, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: dso_list (3.44 KB, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: environ (3.66 KB, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: maps (16.36 KB, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: mountinfo (3.99 KB, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: open_fds (263 bytes, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-04 04:42 UTC, Stephen Haffly
no flags Details

Description Stephen Haffly 2018-05-04 04:42:14 UTC
Description of problem:
I did updates using dnf update from a terminal in which I had entered the su - command. When those updates finished, I exited / and was back at the user prompt. I entered the "cone" command to start cone to read the logwatch files. It was at this point that the Aborted (core dumped) message occured.

Version-Release number of selected component:
cone-0.96.2-3.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/cone
crash_function: std::__replacement_assert
executable:     /usr/libexec/cone
journald_cursor: s=78346235302f4aa5a5a3466c9cca8475;i=347d7c;b=92ea035132424bf78e4d0d9131f5644e;m=2141e7e8f0;t=56b59bd8f4aff;x=43a11996bfc1ef64
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 std::__replacement_assert at /usr/include/c++/8/x86_64-redhat-linux/bits/c++config.h:2389
 #3 std::vector<char, std::allocator<char> >::operator[] at /usr/include/c++/8/new:169
 #4 towidechar<__gnu_cxx::__normal_iterator<char*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::back_insert_iterator<std::vector<wchar_t, std::allocator<wchar_t> > > > at ../curses/widechar.H:41
 #5 towidechar<__gnu_cxx::__normal_iterator<char*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > at /usr/include/c++/8/bits/char_traits.h:320
 #6 widecharbuf::init_unicode<CursesScreen::repltabs_spaces> at widechar.H:204
 #7 CursesScreen::writeText(std::__cxx11::basic_string<char32_t, std::char_traits<char32_t>, std::allocator<char32_t> > const&, int, int, Curses::CursesAttr const&) const at cursesscreen.C:375
 #8 CursesScreen::writeText(char const*, int, int, Curses::CursesAttr const&) const at cursesscreen.C:219
 #9 CursesTitleBar::draw() at cursestitlebar.C:66
 #10 resetScreenColors at cone.C:1108

Comment 1 Stephen Haffly 2018-05-04 04:42:19 UTC
Created attachment 1431004 [details]
File: backtrace

Comment 2 Stephen Haffly 2018-05-04 04:42:20 UTC
Created attachment 1431005 [details]
File: cgroup

Comment 3 Stephen Haffly 2018-05-04 04:42:21 UTC
Created attachment 1431006 [details]
File: core_backtrace

Comment 4 Stephen Haffly 2018-05-04 04:42:22 UTC
Created attachment 1431007 [details]
File: cpuinfo

Comment 5 Stephen Haffly 2018-05-04 04:42:23 UTC
Created attachment 1431008 [details]
File: dso_list

Comment 6 Stephen Haffly 2018-05-04 04:42:24 UTC
Created attachment 1431009 [details]
File: environ

Comment 7 Stephen Haffly 2018-05-04 04:42:25 UTC
Created attachment 1431010 [details]
File: limits

Comment 8 Stephen Haffly 2018-05-04 04:42:26 UTC
Created attachment 1431011 [details]
File: maps

Comment 9 Stephen Haffly 2018-05-04 04:42:28 UTC
Created attachment 1431012 [details]
File: mountinfo

Comment 10 Stephen Haffly 2018-05-04 04:42:29 UTC
Created attachment 1431013 [details]
File: open_fds

Comment 11 Stephen Haffly 2018-05-04 04:42:30 UTC
Created attachment 1431014 [details]
File: proc_pid_status

Comment 12 Matthias Andree 2018-05-27 11:14:16 UTC
*** Bug 1582843 has been marked as a duplicate of this bug. ***

Comment 13 Stephen Haffly 2018-07-05 12:48:02 UTC
Similar problem has been detected:

Open terminal
Enter command "cone"
program crashes and this appears in the terminal window:
/usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = char; _Alloc = std::allocator<char>; std::vector<_Tp, _Alloc>::reference = char&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.
                                              Aborted (core dumped)

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/cone
crash_function: std::__replacement_assert
executable:     /usr/libexec/cone
journald_cursor: s=a2deba363446405d9a2d04cab5994865;i=6924;b=cda643a697e649c2afaceefd235e65ce;m=748dceac;t=5703fdcc10614;x=8b84d5eb5bdd693b
kernel:         4.17.3-200.fc28.x86_64
package:        cone-0.96.2-3.fc28
reason:         cone killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Randy Barlow 2018-09-22 18:59:02 UTC
Similar problem has been detected:

cone crashes when started after a clean install. To reproduce:

$ sudo dnf install cone
$ cone

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/cone
crash_function: std::__replacement_assert
executable:     /usr/libexec/cone
journald_cursor: s=8d522c44788a4700add2728fd0901325;i=5bd8;b=63320f4d149a4879afa465bf80645b24;m=3b4ebe02f;t=5767a45ad3051;x=529a9df1f3a20c65
kernel:         4.18.8-200.fc28.x86_64
package:        cone-0.96.2-3.fc28
reason:         cone killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Stephen Haffly 2018-11-23 04:08:55 UTC
This problem continues with Fedora 29 x86_64. What is happening and how do I fix it?

Comment 16 C. N. 2019-10-20 21:18:13 UTC
*** Bug 1763534 has been marked as a duplicate of this bug. ***

Comment 17 Nikola Forró 2019-10-23 14:32:05 UTC
This upstream commit fixes the crash (among other things):
https://sourceforge.net/p/courier/courier.git/ci/6c59480c2f87ea7a8de0be21c22312c8fbf88e27

and is also part of upstream release 1.0:
https://sourceforge.net/projects/courier/files/cone/1.0/

Comment 18 Ben Cotton 2019-10-31 18:44:49 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2019-11-27 23:34:46 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.